com.genesyslab.wfm7.API.service.calendar720

## Class CalItemShortInformation

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar720.CalItemShortInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class CalItemShortInformation
      extends java.lang.Object
      implements java.io.Serializable

  Calendar Item "short" information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `agentID` Agent ID
    `private java.lang.String` | `comment` Descriptive text of the item
    `private double` | `date` Calendar item date
    `private double` | `endTime` Calendar item end time
    `private int` | `item` Calendar item type `ECalItems`
    `private int` | `itemID` Calendar item ID if any
    `private int` | `itemTypeID` Calendar item type ID if any
    `private int` | `savedStatus` Saved (requested) Calendar item status
    `private double` | `startTime` Calendar item start time
    `private long` | `timestamp` Timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalItemShortInformation()`
    `CalItemShortInformation(int agentID, double date, int item, int itemID, int itemTypeID, double startTime, double endTime, int savedStatus, java.lang.String comment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAgentID()` Gets the agentID value for this CalItemShortInformation.
    `java.lang.String` | `getComment()` Gets the comment value for this CalItemShortInformation.
    `double` | `getDate()` Gets the date value for this CalItemShortInformation.
    `double` | `getEndTime()` Gets the endTime value for this CalItemShortInformation.
    `int` | `getItem()` Gets the item value for this CalItemShortInformation.
    `int` | `getItemID()` Gets the itemID value for this CalItemShortInformation.
    `int` | `getItemTypeID()` Gets the itemTypeID value for this CalItemShortInformation.
    `int` | `getSavedStatus()` Gets the savedStatus value for this CalItemShortInformation.
    `double` | `getStartTime()` Gets the startTime value for this CalItemShortInformation.
    `long` | `getTimestamp()` Gets the timestamp value for this CalItemShortInformation.
    `void` | `setAgentID(int agentID)` Sets the agentID value for this CalItemShortInformation.
    `void` | `setComment(java.lang.String comment)` Sets the comment value for this CalItemShortInformation.
    `void` | `setDate(double date)` Sets the date value for this CalItemShortInformation.
    `void` | `setEndTime(double endTime)` Sets the endTime value for this CalItemShortInformation.
    `void` | `setItem(int item)` Sets the item value for this CalItemShortInformation.
    `void` | `setItemID(int itemID)` Sets the itemID value for this CalItemShortInformation.
    `void` | `setItemTypeID(int itemTypeID)` Sets the itemTypeID value for this CalItemShortInformation.
    `void` | `setSavedStatus(int savedStatus)` Sets the savedStatus value for this CalItemShortInformation.
    `void` | `setStartTime(double startTime)` Sets the startTime value for this CalItemShortInformation.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CalItemShortInformation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### agentID

          private int agentID

      Agent ID

    - #### date

          private double date

      Calendar item date

    - #### item

          private int item

      Calendar item type `ECalItems`

    - #### itemID

          private int itemID

      Calendar item ID if any

    - #### itemTypeID

          private int itemTypeID

      Calendar item type ID if any

    - #### startTime

          private double startTime

      Calendar item start time

    - #### endTime

          private double endTime

      Calendar item end time

    - #### savedStatus

          private int savedStatus

      Saved (requested) Calendar item status

    - #### comment

          private java.lang.String comment

      Descriptive text of the item

    - #### timestamp

          private long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CalItemShortInformation

          public CalItemShortInformation()

    - #### CalItemShortInformation

          public CalItemShortInformation(int agentID,
                                 double date,
                                 int item,
                                 int itemID,
                                 int itemTypeID,
                                 double startTime,
                                 double endTime,
                                 int savedStatus,
                                 java.lang.String comment)

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the agentID value for this CalItemShortInformation.
      Returns:
        agentID Agent ID

    - #### setAgentID

          public void setAgentID(int agentID)

      Sets the agentID value for this CalItemShortInformation.
      Parameters:
        `agentID` - Agent ID

    - #### getDate

          public double getDate()

      Gets the date value for this CalItemShortInformation.
      Returns:
        date Calendar item date

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalItemShortInformation.
      Parameters:
        `date` - Calendar item date

    - #### getItem

          public int getItem()

      Gets the item value for this CalItemShortInformation.
      Returns:
        item Calendar item type
      See Also:
        `ECalItems`

    - #### setItem

          public void setItem(int item)

      Sets the item value for this CalItemShortInformation.
      Parameters:
        `item` - Calendar item type
      See Also:
        `ECalItems`

    - #### getItemID

          public int getItemID()

      Gets the itemID value for this CalItemShortInformation.
      Returns:
        itemID Calendar item ID if any

    - #### setItemID

          public void setItemID(int itemID)

      Sets the itemID value for this CalItemShortInformation.
      Parameters:
        `itemID` - Calendar item ID if any

    - #### getItemTypeID

          public int getItemTypeID()

      Gets the itemTypeID value for this CalItemShortInformation.
      Returns:
        itemTypeID Calendar item type ID if any

    - #### setItemTypeID

          public void setItemTypeID(int itemTypeID)

      Sets the itemTypeID value for this CalItemShortInformation.
      Parameters:
        `itemTypeID` - Calendar item type ID if any

    - #### getStartTime

          public double getStartTime()

      Gets the startTime value for this CalItemShortInformation.
      Returns:
        startTime Calendar item start time

    - #### setStartTime

          public void setStartTime(double startTime)

      Sets the startTime value for this CalItemShortInformation.
      Parameters:
        `startTime` - Calendar item start time

    - #### getEndTime

          public double getEndTime()

      Gets the endTime value for this CalItemShortInformation.
      Returns:
        endTime Calendar item end time

    - #### setEndTime

          public void setEndTime(double endTime)

      Sets the endTime value for this CalItemShortInformation.
      Parameters:
        `endTime` - Calendar item end time

    - #### getSavedStatus

          public int getSavedStatus()

      Gets the savedStatus value for this CalItemShortInformation.
      Returns:
        savedStatus Calendar item saved status

    - #### setSavedStatus

          public void setSavedStatus(int savedStatus)

      Sets the savedStatus value for this CalItemShortInformation.
      Parameters:
        `savedStatus` - Calendar item saved status

    - #### getComment

          public java.lang.String getComment()

      Gets the comment value for this CalItemShortInformation.
      Returns:
        comment Calendar item comment

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the comment value for this CalItemShortInformation.
      Parameters:
        `comment` - Calendar item comment

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CalItemShortInformation.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CalItemShortInformation.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.